PLaSK library

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
plask::FieldSumProviderImpl< PropertyT, SpaceT, VariadicTemplateTypesHolder< ExtraArgs... > > Struct Template Reference

`#include <plask/provider/combined_provider.hpp>`

Inheritance diagram for plask::FieldSumProviderImpl< PropertyT, SpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >:
[legend]
Collaboration diagram for plask::FieldSumProviderImpl< PropertyT, SpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >:
[legend]

## Classes
struct | SumLazyDataImpl

## Public Types
typedef ProviderFor< PropertyT, SpaceT >::ProvidedType | ProvidedType
typedef ProviderFor< PropertyT, SpaceT >::ValueType | ValueType
Public Types inherited from plask::CombinedProviderBase< ProviderFor< PropertyT, SpaceT > >
typedef ProviderFor< PropertyT, SpaceT > | BaseType
typedef boost::indirect_iterator< typename std::set< ProviderFor< PropertyT, SpaceT > * >::iterator > | iterator
| Type of iterator over BaseProviderT.
typedef boost::indirect_iterator< typename std::set< ProviderFor< PropertyT, SpaceT > * >::const_iterator > | const_iterator
| Type of const iterator over BaseProviderT.
Public Types inherited from plask::ProviderFor< PropertyT, SpaceT >
typedef PropertyT | PropertyTag
typedef SpaceT | SpaceType

## Public Member Functions
ProvidedType | operator() (shared_ptr< const MeshD< SpaceT::DIM > > dst_mesh, ExtraArgs... extra_args, InterpolationMethod method=INTERPOLATION_DEFAULT) const override
Public Member Functions inherited from plask::CombinedProviderBase< ProviderFor< PropertyT, SpaceT > >
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
void | add (ProviderFor< PropertyT, SpaceT > *to_add, bool providerIsPrivate=false)
| Append new provider to set of the held providers.
void | add (std::unique_ptr< ProviderFor< PropertyT, SpaceT > > &&to_add)
| Append new provider to the set of the held providers.
void | remove (ProviderFor< PropertyT, SpaceT > *to_remove)
| Remove specified provider from the set of the held providers.
void | clear ()
| Remove all providers from the set of the held providers.
| ~CombinedProviderBase ()
| Delete all private providers.
bool | empty () const
| Check if the providers set of this is empty.
std::size_t | size () const
| Get number of providers in the set.
void | ensureHasProviders () const
| Throw exception if the providers set of this is empty.
Public Member Functions inherited from plask::ProviderFor< PropertyT, SpaceT >
| ProviderFor (Args &&... params)
| Delegate all constructors to parent class.

## Additional Inherited Members
Protected Attributes inherited from plask::CombinedProviderBase< ProviderFor< PropertyT, SpaceT > >
std::set< ProviderFor< PropertyT, SpaceT > * > | providers
| Set of providers which values are combinating.

## Detailed Description

template<typename PropertyT, typename SpaceT, typename... ExtraArgs>
struct plask::FieldSumProviderImpl< PropertyT, SpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >

Definition at line 149 of file combined_provider.hpp.

## Member Typedef Documentation

## ◆ ProvidedType

template<typename PropertyT , typename SpaceT , typename... ExtraArgs>

typedef ProviderFor<PropertyT,SpaceT>::ProvidedType plask::FieldSumProviderImpl< PropertyT, SpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >::ProvidedType

Definition at line 151 of file combined_provider.hpp.

## ◆ ValueType

template<typename PropertyT , typename SpaceT , typename... ExtraArgs>

typedef ProviderFor<PropertyT,SpaceT>::ValueType plask::FieldSumProviderImpl< PropertyT, SpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >::ValueType

Definition at line 152 of file combined_provider.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename PropertyT , typename SpaceT , typename... ExtraArgs>

ProvidedType plask::FieldSumProviderImpl< PropertyT, SpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >::operator() | ( | shared_ptr< const MeshD< SpaceT::DIM > > | dst_mesh,
|  | ExtraArgs... | extra_args,
|  | InterpolationMethod | method = `INTERPOLATION_DEFAULT`
| ) |  | const
| inline override

Definition at line 176 of file combined_provider.hpp.

The documentation for this struct was generated from the following file:

- plask/provider/combined_provider.hpp